---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      prometheus.io/port: "9779"
      prometheus.io/scrape: "true"
      fabric8.io/iconUrl: "img/icons/spring-boot.svg"
      fabric8.io/git-commit: "90f101c64eb8f5242592c0325e46d86c76fe5457"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/90f101c64eb8f5242592c0325e46d86c76fe5457"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      expose: "true"
      provider: "fabric8"
      project: "kubernetes-reload-example"
      version: "0.1.3"
      group: "io.fabric8"
    name: "kubernetes-reload-exampl"
  spec:
    ports:
    - name: "http"
      port: 80
      protocol: "TCP"
      targetPort: 8080
    selector:
      project: "kubernetes-reload-example"
      provider: "fabric8"
      group: "io.fabric8"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "90f101c64eb8f5242592c0325e46d86c76fe5457"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=kubernetes-reload-example&var-version=0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
      fabric8.io/iconUrl: "img/icons/spring-boot.svg"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/90f101c64eb8f5242592c0325e46d86c76fe5457"
    labels:
      provider: "fabric8"
      project: "kubernetes-reload-example"
      version: "0.1.3"
      group: "io.fabric8"
    name: "kubernetes-reload-exampl"
  spec:
    replicas: 1
    selector:
      project: "kubernetes-reload-example"
      provider: "fabric8"
      group: "io.fabric8"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "90f101c64eb8f5242592c0325e46d86c76fe5457"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=kubernetes-reload-example&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/iconUrl: "img/icons/spring-boot.svg"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/90f101c64eb8f5242592c0325e46d86c76fe5457"
        labels:
          provider: "fabric8"
          project: "kubernetes-reload-example"
          version: "0.1.3"
          group: "io.fabric8"
      spec:
        containers:
        - env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "JAVA_APP_DIR"
            value: "/deployments"
          image: "kubernetes-reload-example:0.1.3"
          imagePullPolicy: "IfNotPresent"
          livenessProbe:
            httpGet:
              path: "/health"
              port: 8080
            initialDelaySeconds: 180
          name: "spring-boot"
          ports:
          - containerPort: 8080
            name: "http"
            protocol: "TCP"
          - containerPort: 9779
            name: "prometheus"
            protocol: "TCP"
          - containerPort: 8778
            name: "jolokia"
            protocol: "TCP"
          readinessProbe:
            httpGet:
              path: "/health"
              port: 8080
            initialDelaySeconds: 10
          securityContext:
            privileged: false
    triggers:
    - type: "ConfigChange"
    - imageChangeParams:
        automatic: true
        containerNames:
        - "spring-boot"
        from:
          kind: "ImageStreamTag"
          name: "kubernetes-reload-example:0.1.3"
      type: "ImageChange"
